﻿@model Infraestrutura.ViewModels.EntrarViewModel;

<h1 class="display-4">Entrar</h1>

@if (Model.Validação.Erro)
{
    <div class="alert alert-danger" role="alert" id="Erros">
        @Model.Validação.MensagemErro
    </div>
}
else
{
    <div class="alert alert-danger d-none" role="alert" id="Erros">
        @Model.Validação.MensagemErro
    </div>
}


<form asp-antiforgery="true" asp-action="FazerLogin" method="post">
    <div class="form-group">
        <label for="Email">E-mail</label>
        <input type="email" class="form-control" id="Email" asp-for="Email" required>
    </div>
    <div class="form-group">
        <label for="Senha">Senha</label>
        <input type="password" class="form-control" id="Senha" asp-for="Senha" required>
    </div>
    <button type="submit" class="btn btn-primary">Entrar</button>
    <a class="btn btn-outline-primary" asp-controller="ReenviarEmail" asp-action="Index">Reenviar E-mail de Confirmação</a>
    <a class="btn btn-outline-primary" asp-controller="EsqueciSenha" asp-action="Index">Esqueci a Senha</a>
</form>